Summary:        Mock core config files basic chroots
Name:           mock-core-configs
Version:        37.8
Release:        3%{?dist}
License:        GPL-2.0-or-later
URL:            https://github.com/rpm-software-management/mock/
Source0:        %{url}releases/download/%{name}-%{version}-1/%{name}-%{version}.tar.gz

Requires:       distribution-gpg-keys mock mock-filesystem
Requires(post): coreutils python3-dnf python3-hawkey system-release python3 sed
Provides:       mock-configs

BuildArch:      noarch

%description
Mock configuration files which allow you to create chroots
for various specific os or combined chroots.

%prep
%autosetup -n %{name}-%{version} -p1

%build

%install
install -m 644 -Dt %{buildroot}%{_sysconfdir}/mock etc/mock/*.cfg
install -m 644 -Dt %{buildroot}%{_sysconfdir}/mock/templates etc/mock/templates/*.tpl
install -m 644 -Dt %{buildroot}%{_sysconfdir}/mock/eol etc/mock/eol/*cfg
install -m 644 -Dt %{buildroot}%{_sysconfdir}/mock/eol/templates etc/mock/eol/templates/*.tpl

echo "%defattr(0644, root, mock)" > %{name}.cfgs
find %{buildroot}%{_sysconfdir}/mock -name "*.cfg" -o -name '*.tpl' >> %{name}.cfgs
sed -i '/chroot-aliases/d' %{name}.cfgs
sed -i "s?^%{buildroot}?%%config(noreplace) ?g" %{name}.cfgs
echo "%%config %{_sysconfdir}/mock/chroot-aliases.cfg" >> %{name}.cfgs

mock_docs="%{_docdir}/mock"
sed -i "s~@MOCK_DOCS@~$mock_docs~" %{buildroot}%{_sysconfdir}/mock/site-defaults.cfg

%files -f %{name}.cfgs
%license COPYING
%ghost %config(noreplace,missingok) %{_sysconfdir}/mock/default.cfg

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 37.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 37.8-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Oct 26 2022 Shuo Wang <abushwang@tencent.com> - 37.8-1
- initial build

